# DataExchange
TKSTL
StlTransfer

# StlTransfer Class Reference

The package Algorithm for Meshing implements
facilities to compute the Mesh data-structure, as
defined in package StlMesh, from a shape of package
TopoDS. The triangulation is computed with the
Delaunay algorithm implemented in package
BRepMesh. The result is stored in the mesh
data-structure Mesh from package StlMesh.
.

`#include <StlTransfer.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | BuildIncrementalMesh (const TopoDS_Shape &Shape, const Standard_Real Deflection, const Handle(StlMesh_Mesh)&Mesh)

## Member Function Documentation

static Standard_EXPORT void StlTransfer::BuildIncrementalMesh | ( | const TopoDS_Shape & | Shape,
|  | const Standard_Real | Deflection,
|  | const Handle(StlMesh_Mesh)& | Mesh
| ) | `[static]`

void StlTransfer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StlTransfer::operator new | ( | size_t | size | ) | `[inline]`

void* StlTransfer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- StlTransfer.hxx